########################################################################
#  Copyright (c) 1998-2004 by SAS Institute Inc., Cary, NC USA 27513   #
#  NAME:        sassyb.mak                                             #
#  PURPOSE:     Generate sassyb image on customer's site to work with  #
#               OC 12.5.x and higher on AIX by statically linking in   #
#               the Sybase Open Client libraries.                      #
#               NOTE: The customer site MUST have the SYBASE environ-  #
#                     ment variable pointing to the the Sybase home    #
#                     directory of the version that they want to link. #
#               Example: export SYBASE=/usr/sybase/1252                #
#  HISTORY:                                                            #
#   Description                                      Id    Date        #
#   Created.                                         as   15Sep04      #
########################################################################
SYBLIB = $(SYBASE)/OCS-12_5/lib
########################################################################
# Current directory is SASROOT/misc/dbi.  The updated modules will     #
# reside in SASROOT/hotfix/sasexe                                      #
########################################################################
SASLIB = ../../hotfix/sasexe
SASSYB_BKP=sassyb.`date +"%Y-%m-%d-%T"`
SASIOSYB_BKP=sasiosyb.`date +"%Y-%m-%d-%T"`
SASSYBDB_BKP=sassybdb.`date +"%Y-%m-%d-%T"`
SASSYBAC_BKP=sassybac.`date +"%Y-%m-%d-%T"`
SASDBLDE_BKP=sasdblde.`date +"%Y-%m-%d-%T"`
SASDBLPE_BKP=sasdblpe.`date +"%Y-%m-%d-%T"`

########################################################################
# (a) Backup sassyb                                                    #
# (b) Copy the hotfix version of sasiosyb and create a link.           #
# (c) Link with the static archives generated from Sybase library      #
# (d) Clean-up.                                                        #
########################################################################
sassyb: dummy 
	echo "Generating $@"  
	mv $(SASLIB)/sassyb   $(SASLIB)/$(SASSYB_BKP)
	mv $(SASLIB)/sasiosyb $(SASLIB)/$(SASIOSYB_BKP)
	mv $(SASLIB)/sassybdb $(SASLIB)/$(SASSYBDB_BKP)
	mv $(SASLIB)/sassybac $(SASLIB)/$(SASSYBAC_BKP)
	mv $(SASLIB)/sasdblpe $(SASLIB)/$(SASDBLPE_BKP)
	mv $(SASLIB)/sasdblde $(SASLIB)/$(SASDBLDE_BKP)
        
	cp sassyb_obj/sasiosyb.82te11 $(SASLIB)
	cp sassyb_obj/sassybdb.82te11 $(SASLIB)
	cp sassyb_obj/sassybac.82te11 $(SASLIB)
	cp sassyb_obj/sasdblpe.82te11 $(SASLIB)
	cp sassyb_obj/sasdblde.82te11 $(SASLIB)
	ln -s -f $(SASLIB)/sasiosyb.82te11 $(SASLIB)/sasiosyb
	ln -s -f $(SASLIB)/sassybdb.82te11 $(SASLIB)/sassybdb
	ln -s -f $(SASLIB)/sassybac.82te11 $(SASLIB)/sassybac
	ln -s -f $(SASLIB)/sasdblpe.82te11 $(SASLIB)/sasdblpe
	ln -s -f $(SASLIB)/sasdblde.82te11 $(SASLIB)/sasdblde
                   
	ld -o $(SASLIB)/syr6x125.82te11                                 \
        sassyb_obj/ptrgl.o                                              \
        sassyb_obj/hicrt.o                                              \
        sassyb_obj/MCN_syr6x125.o                                       \
        sassyb_obj/syr6x125.o                                           \
        sassyb_obj/sybtbl.o                                             \
        sassyb_obj/sassybm.o                                            \
        sassyb_obj/PCN_syr6x125.o                                       \
        sassyb_obj/host.a     -lnsl -ltli                               \
        sassyb_obj/zxfer.a -e mcn_main                                  \
        -bE:sassyb.exp                                                  \
        -L/usr/lib/threads                                              \
        -L/usr/lpp/xlC/lib -lC_r -lC -lpthreads -lmsaa -lc_r -lc        \
        -bstatic $(SYBLIB)/libblk.a $(SYBLIB)/libct.a $(SYBLIB)/libcs.a \
	$(SYBLIB)/libcomn.a $(SYBLIB)/libintl.a $(SYBLIB)/libtcl.a

	ln -s -f $(SASLIB)/syr6x125.82te11 $(SASLIB)/sassyb

	rm -R sassyb_obj
	rm    sassyb.exp
	rm dummy

dummy: sassyb_obj/host.a
	echo "Generating $@"
	cp $? $@
